summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author crocket <crockabiscuit@gmail.com>2011-07-17 19:14:58 -0400
committer Robby Workman <rworkman@slackbuilds.org>2011-07-21 22:51:49 -0500
commit36345b05252daa619ac47d36d456608fdb2fd6b8 (patch)
treec631aa4594d78dc5e24c5c1e0dedfc13b77a6e4c
parentfca35209e1c6bfdd2f32db8f54f3c886ade94125 (diff)
downloadslackbuilds-36345b05252daa619ac47d36d456608fdb2fd6b8.tar.gz
slackbuilds-36345b05252daa619ac47d36d456608fdb2fd6b8.tar.xz
misc/ibus-hangul: Added (korean input engine for ibus)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
-rw-r--r--misc/ibus-hangul/README6
-rw-r--r--misc/ibus-hangul/ibus-hangul.SlackBuild83
-rw-r--r--misc/ibus-hangul/ibus-hangul.info10
-rw-r--r--misc/ibus-hangul/slack-desc19
4 files changed, 118 insertions, 0 deletions
diff --git a/misc/ibus-hangul/README b/misc/ibus-hangul/README
new file mode 100644
index 0000000000..11fb01b876
--- /dev/null
+++ b/misc/ibus-hangul/README
@@ -0,0 +1,6 @@
+ibus-hangul ( korean input engine for ibus )
+
+This is a korean input engine for IBus.
+
+This requires ibus and libhangul.
+
diff --git a/misc/ibus-hangul/ibus-hangul.SlackBuild b/misc/ibus-hangul/ibus-hangul.SlackBuild
new file mode 100644
index 0000000000..95dd04afa3
--- /dev/null
+++ b/misc/ibus-hangul/ibus-hangul.SlackBuild
@@ -0,0 +1,83 @@
+#!/bin/sh
+
+# Slackware build script for ibus-hangul
+
+# Written by crocket (crockabiscuit@gmail.com)
+
+PRGNAM=ibus-hangul
+VERSION=${VERSION:-1.3.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --infodir=/usr/info \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" \
+ | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ ABOUT-NLS AUTHORS COPYING ChangeLog INSTALL NEWS README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+
diff --git a/misc/ibus-hangul/ibus-hangul.info b/misc/ibus-hangul/ibus-hangul.info
new file mode 100644
index 0000000000..8dd5b1d41d
--- /dev/null
+++ b/misc/ibus-hangul/ibus-hangul.info
@@ -0,0 +1,10 @@
+PRGNAM="ibus-hangul"
+VERSION="1.3.1"
+HOMEPAGE="http://code.google.com/p/ibus/"
+DOWNLOAD="http://ibus.googlecode.com/files/ibus-hangul-1.3.1.tar.gz"
+MD5SUM="b71565bba3a1439a47212611b774ecf7"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="crocket"
+EMAIL="crockabiscuit@gmail.com"
+APPROVED="dsomero"
diff --git a/misc/ibus-hangul/slack-desc b/misc/ibus-hangul/slack-desc
new file mode 100644
index 0000000000..2cd2b910c4
--- /dev/null
+++ b/misc/ibus-hangul/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+ibus-hangul: ibus-hangul (korean input engine for ibus)
+ibus-hangul:
+ibus-hangul: This is a korean input engine for IBus.
+ibus-hangul:
+ibus-hangul: Website : http://code.google.com/p/ibus/
+ibus-hangul:
+ibus-hangul:
+ibus-hangul:
+ibus-hangul:
+ibus-hangul:
+ibus-hangul: